'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.MoPressCustomAttribute = undefined;

var _dec, _class;

var _aureliaFramework = require('aurelia-framework');

var _hammerjs = require('hammerjs');

var _hammerjs2 = _interopRequireDefault(_hammerjs);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

var MoPressCustomAttribute = exports.MoPressCustomAttribute = (_dec = (0, _aureliaFramework.inject)(Element), _dec(_class = function () {
  function MoPressCustomAttribute(element) {
    _classCallCheck(this, MoPressCustomAttribute);

    this.hammer = new _hammerjs2.default.Manager(element, {
      recognizers: [[_hammerjs2.default.Press]]
    });
    this.element = element;
  }

  MoPressCustomAttribute.prototype.attached = function attached() {
    this.hammer.on('press', this.handleSwipe.bind(this));
  };

  MoPressCustomAttribute.prototype.detached = function detached() {
    this.hammer.off('press', this.handleSwipe.bind(this));
  };

  MoPressCustomAttribute.prototype.valueChanged = function valueChanged(newValue) {
    this.callback = newValue;
  };

  MoPressCustomAttribute.prototype.handleSwipe = function handleSwipe(event) {
    if (this.callback) {
      this.callback.call(null, { hammerEvent: event });
    }
  };

  return MoPressCustomAttribute;
}()) || _class);