var _dec, _class;

import { inject } from 'aurelia-framework';
import * as iscroll from 'iscroll';

export let MoScrollCustomAttribute = (_dec = inject(Element), _dec(_class = class MoScrollCustomAttribute {

  constructor(element) {
    this.element = element;
  }

  attached() {
    this.scrollElement = new iscroll.default(this.element, this.options);
    document.addEventListener('touchmove', e => {
      e.preventDefault();
    }, false);
  }

  valueChanged(newValue) {
    this.options = newValue;
  }

  detached() {}

}) || _class);