'use strict';

System.register(['aurelia-framework', 'hammerjs'], function (_export, _context) {
  "use strict";

  var inject, Hammer, _dec, _class, MoPressCustomAttribute;

  function _classCallCheck(instance, Constructor) {
    if (!(instance instanceof Constructor)) {
      throw new TypeError("Cannot call a class as a function");
    }
  }

  return {
    setters: [function (_aureliaFramework) {
      inject = _aureliaFramework.inject;
    }, function (_hammerjs) {
      Hammer = _hammerjs.default;
    }],
    execute: function () {
      _export('MoPressCustomAttribute', MoPressCustomAttribute = (_dec = inject(Element), _dec(_class = function () {
        function MoPressCustomAttribute(element) {
          _classCallCheck(this, MoPressCustomAttribute);

          this.hammer = new Hammer.Manager(element, {
            recognizers: [[Hammer.Press]]
          });
          this.element = element;
        }

        MoPressCustomAttribute.prototype.attached = function attached() {
          this.hammer.on('press', this.handleSwipe.bind(this));
        };

        MoPressCustomAttribute.prototype.detached = function detached() {
          this.hammer.off('press', this.handleSwipe.bind(this));
        };

        MoPressCustomAttribute.prototype.valueChanged = function valueChanged(newValue) {
          this.callback = newValue;
        };

        MoPressCustomAttribute.prototype.handleSwipe = function handleSwipe(event) {
          if (this.callback) {
            this.callback.call(null, { hammerEvent: event });
          }
        };

        return MoPressCustomAttribute;
      }()) || _class));

      _export('MoPressCustomAttribute', MoPressCustomAttribute);
    }
  };
});