'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.MoScrollCustomAttribute = undefined;

var _dec, _class;

var _aureliaFramework = require('aurelia-framework');

var _iscroll = require('iscroll');

var iscroll = _interopRequireWildcard(_iscroll);

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) newObj[key] = obj[key]; } } newObj.default = obj; return newObj; } }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

var MoScrollCustomAttribute = exports.MoScrollCustomAttribute = (_dec = (0, _aureliaFramework.inject)(Element), _dec(_class = function () {
  function MoScrollCustomAttribute(element) {
    _classCallCheck(this, MoScrollCustomAttribute);

    this.element = element;
  }

  MoScrollCustomAttribute.prototype.attached = function attached() {
    this.scrollElement = new iscroll.default(this.element, this.options);
    document.addEventListener('touchmove', function (e) {
      e.preventDefault();
    }, false);
  };

  MoScrollCustomAttribute.prototype.valueChanged = function valueChanged(newValue) {
    this.options = newValue;
  };

  MoScrollCustomAttribute.prototype.detached = function detached() {};

  return MoScrollCustomAttribute;
}()) || _class);