'use strict';

System.register(['aurelia-framework', 'iscroll'], function (_export, _context) {
  "use strict";

  var inject, iscroll, _dec, _class, MoScrollCustomAttribute;

  function _classCallCheck(instance, Constructor) {
    if (!(instance instanceof Constructor)) {
      throw new TypeError("Cannot call a class as a function");
    }
  }

  return {
    setters: [function (_aureliaFramework) {
      inject = _aureliaFramework.inject;
    }, function (_iscroll) {
      iscroll = _iscroll;
    }],
    execute: function () {
      _export('MoScrollCustomAttribute', MoScrollCustomAttribute = (_dec = inject(Element), _dec(_class = function () {
        function MoScrollCustomAttribute(element) {
          _classCallCheck(this, MoScrollCustomAttribute);

          this.element = element;
        }

        MoScrollCustomAttribute.prototype.attached = function attached() {
          this.scrollElement = new iscroll.default(this.element, this.options);
          document.addEventListener('touchmove', function (e) {
            e.preventDefault();
          }, false);
        };

        MoScrollCustomAttribute.prototype.valueChanged = function valueChanged(newValue) {
          this.options = newValue;
        };

        MoScrollCustomAttribute.prototype.detached = function detached() {};

        return MoScrollCustomAttribute;
      }()) || _class));

      _export('MoScrollCustomAttribute', MoScrollCustomAttribute);
    }
  };
});